dofile(minetest.get_modpath('stations')..'/crystal/diamond_armor.lua')
dofile(minetest.get_modpath('stations')..'/crystal/thennium_armor.lua')
dofile(minetest.get_modpath('stations')..'/crystal/tool_repair.lua')


--Diamond tools
stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:diamond'] = 3,
   },
   output = 'default:sword_diamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:diamond'] = 3,
      ['group:stick'] = 1,
   },
   output = 'default:axe_diamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:diamond'] = 3,
      ['group:stick'] = 1,
   },
   output = 'default:pick_diamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:diamond'] = 1,
      ['group:stick'] = 2,
   },
   output = 'default:shovel_diamond',
})

--Mese tools
stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:mese_crystal'] = 3,
      ['group:stick'] = 1,
   },
   output = 'default:pick_mese',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:mese_crystal'] = 3,
      ['group:stick'] = 1,
   },
   output = 'default:axe_mese',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:mese_crystal'] = 1,
      ['group:stick'] = 2,
   },
   output = 'default:shovel_mese',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['default:mese_crystal'] = 3,
   },
   output = 'default:sword_mese',
})

--glowingdiamond Tools
stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['epic:glowingdiamond'] = 3,
   },
   output = 'epic:sword_glowingdiamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['epic:glowingdiamond'] = 3,
      ['group:stick'] = 1,
   },
   output = 'epic:axe_glowingdiamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['epic:glowingdiamond'] = 3,
      ['group:stick'] = 1,
   },
   output = 'epic:pick_glowingdiamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['epic:glowingdiamond'] = 1,
      ['group:stick'] = 2,
   },
   output = 'epic:shovel_glowingdiamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['default:mese_crystal'] = 1,
   },
   output = 'mobs:horseshoe_mese',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['default:diamond'] = 1,
   },
   output = 'mobs:horseshoe_diamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['epic:float_crystal_shard'] = 20,
      ['stations:chitin'] = 1,
   },
   output = 'epic:float_crystal',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['epic:float_crystal'] = 5,
      ['default:diamondblock'] = 1,
      ['default:mese'] = 1,
      ['stations:chitin'] = 6,
   },
   output = 'epic:laputa',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['epic:glowstone_fragment'] = 1,
      ['default:diamond'] = 1,
      ['stations:chitin'] = 2,
   },
   output = 'epic:glowingdiamond',
})

stations.dual_register_recipe('crystal_w', {
   input = {
      ['stations:chitin'] = 1,
      ['epic:thennium'] = 2,
      ['group:stick'] = 1,
   },
   output = 'sickles:scythe_rose'
})
